# Uses of Interface
com.google.testing.compile.CompileTester.UnsuccessfulCompilationClause

## Uses of CompileTester.UnsuccessfulCompilationClause in com.google.testing.compile

Subinterfaces with type arguments of type CompileTester.UnsuccessfulCompilationClause in com.google.testing.compile
Modifier and Type
Interface
Description
`static interface`
`CompileTester.UnsuccessfulCompilationClause`
The clause in the fluent API for further tests on unsuccessful compilations.
Methods in com.google.testing.compile that return CompileTester.UnsuccessfulCompilationClause
Modifier and Type
Method
Description
`CompileTester.UnsuccessfulCompilationClause`
CompileTester.`failsToCompile()`
The clause in the fluent API that tests for unsuccessful compilation.
`CompileTester.UnsuccessfulCompilationClause`
JavaSourcesSubject.`failsToCompile()`
`CompileTester.UnsuccessfulCompilationClause`
JavaSourcesSubject.SingleSourceAdapter.`failsToCompile()`
`CompileTester.UnsuccessfulCompilationClause`
CompileTester.UnsuccessfulCompilationClause.`withErrorCount(int errorCount)`
Checks that the total error count in all files matches the given amount.
Methods in com.google.testing.compile that return types with arguments of type CompileTester.UnsuccessfulCompilationClause
Modifier and Type
Method
Description
`CompileTester.FileClause<CompileTester.UnsuccessfulCompilationClause>`
CompileTester.UnsuccessfulCompilationClause.`withErrorContaining(String messageFragment)`
Checks that an error exists that contains the given fragment in the diagnostic message.